Cancel pending revision
DELETE
/api/canvas/{deal_id}/sections/{section_key}/revision
const url = 'https://example.com/api/canvas/example/sections/example/revision';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/canvas/example/sections/example/revision \ --header 'Authorization: Bearer <token>'Cancel an in-progress revision request.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
section_key
required
Section Key
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
RevisionResponse
Response for revision operations.
object
Example generated
{ "status": "example", "section_key": "example", "error": "example", "decision": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}